Subject: Re: circular dependencies in elisp files and make

From: Max Nikulin <[email-masked]>
Date: Mon, 15 May 2023 20:00:25 +0700

On 15/05/2023 18:20, Eli Zaretskii wrote:
>> Date: Mon, 15 May 2023 17:11:25 +0700 From: Max Nikulin
>>
>> I see just one case when it may lead to incomplete
>> rebuild: a.el uses a function from al.el without (require 'al) and
>> autoload cookie is missed in al.el.
> 
> This can happen when we use 'declare-function'.

Sorry, my bad. When a.el uses a *macro* from al.el then, instead of 
macro expansion result, function call appears in a.elc.

Anyway by this sentence I was trying to convince that it is enough to 
have loaddefs as order-only dependency. What would be more interesting 
is an example when an .elc file *must* be recompiled in response to 
update of a loaddefs file. I mean a case of hidden dependency on a file 
that is the source for autoload declaration.